# # Horza's RouterOS App Store
# 
# Contains all RouterOS apps maintained by Horza.  
# Check [default.yaml](default.yaml) for the list of apps.  
# Entire repo and pipeline is available at [gitlab](https://gitlab.com/horza/routeros-apps).

- name: netbird
  descr: Open Source Zero Trust Networking based on Wireguard
  page: https://gitlab.com/horzadome/mikrotik-apps/-/blob/main/app/netbird.md?ref_type=heads
  category: networking
  services:
    netbird:
      environment:
        NB_SETUP_KEY: GET_KEY_FROM_NETBIRD_DASHBOARD
        NB_HOSTNAME: netbird-on-mikrotik
        NB_MANAGEMENT_URL: https://api.netbird.io:443
        NB_ENABLE_ROSENPASS: true
        NB_ROSENPASS_PERMISSIVE: true
        NB_ALLOW_SERVER_SSH: true
        NB_ENABLE_SSH_ROOT: true
        NB_LOG_FILE: console
        NB_LOG_LEVEL: warn
        NB_LOG_MAX_SIZE_MB: 1
      volumes:
        - netbird:/var/lib/netbird
        - netbird-log:/var/log
      image: docker.io/netbirdio/netbird:latest
  volumes:
    netbird:
    netbird-log:
